# Export DNSKEY record value

This function exports a domain's DNSKEY record value.

Important:

When you disable the _DNS_ role, the system disables this function.

Endpoint: GET /DNSSEC/export_zone_dnskey
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `domain` (string, required)
    The domain from which to fetch the DNSKEY record value.
    Example: "example.com"

  - `key_id` (integer, required)
    The DNSSEC record's ID.
    Example: 12345

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "export_zone_dnskey"

  - `module` (string)
    The name of the module called.
    Example: "DNSSEC"

  - `result` (object)

  - `result.data` (object)

  - `result.data.dnskey` (string)
    The DNSKEY record value.
    Example: "AwEAAch8SGW4vE6PjFWA9rbUm0AfTq+gJ0HC/nLu+2axdWHBIStt9lsOzKDorAr4vlmhlJzEzA62s96xp6mZ7XHUyWnkFwLs8obo6upL2in4h1ToOxzVl3lTs8O+kWtDq5/h1nwFlPDs9zpLJhlkTCtx2OTGbvimEYeqwPolUuSQR/Yb"

  - `result.data.key_id` (integer)
    The DNSSEC record's ID.
    Example: 12345

  - `result.data.success` (integer)
    Whether the DNSKEY record exported successfully.

* 1 - The system exported the record successfully.
* 0 - The system failed to export the record.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


